import random

NombreTirages=[0,0,0,0,0]    #liste comptabilisant le nombre de tirages en fonction de X

for i in range(1000000):
    X=1                      #compte le nombre de cartes retournées sur un tirage
    Bagues=0                 #compte le nombre de cartes "Bagues" retournées sur un tirage
    Liasses=0                #compte le nombre de cartes "Liasses" retournées sur un tirage
    Pieces=0                 #compte le nombre de cartes "Pieces" retournées sur un tirage
    NombresTires=[]          #permet de lister les nombres déjà tirés sur un tirage

    t=random.randint(1,12)
    if t<6:
        Liasses+=1
    if t>5 and t<10:
        Bagues+=1
    if t>9:
        Pieces+=1
    NombresTires.append(t)

    while Liasses<3 and Bagues<3 and Pieces<3:
        DejaTire=1
        while DejaTire==1:
            t=random.randint(1,12)
            DejaTire=0
            j=0
            while DejaTire==0 and j<X:
                if t==NombresTires[j]:
                    DejaTire=1
                else:
                    j+=1
        X+=1
        if t<6:
            Liasses+=1
        if t>5 and t<10:
            Bagues+=1
        if t>9:
            Pieces+=1
        NombresTires.append(t)
    NombreTirages[X-3]+=1

#fin du programme (pour faire apparaître les réponses aux questions)
for i in range(5):
    print("La fréquence de ",i+3," cartes tournées est ",NombreTirages[i]/1000000)






